//手机开发兼容   高度缩放比例不变
var docEl = document.documentElement,
	resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
	recalc = function() {
		//设置根字体大小
		var myfontSize = 20 * (docEl.clientWidth / 320);
		console.log(myfontSize);
		if(myfontSize > 30) {
			docEl.style.fontSize = "30px";
		}
		docEl.style.fontSize = 20 * (docEl.clientWidth / 320) + 'px';
	};
//绑定浏览器缩放与加载时间
window.addEventListener(resizeEvt, recalc, false);
document.addEventListener('DOMContentLoaded', recalc, false);

//判断系统
var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);

function closeView() {
	H5API.close();
}
//获取url上面的参数值
function GetRequest() { 
	var url = location.search; //获取url中"?"符后的字串 
	var theRequest = new Object(); 
	if (url.indexOf("?") != -1) { 
		var str = url.substr(1); 
		strs = str.split("&"); 
		for(var i = 0; i < strs.length; i ++) { 
			theRequest[strs[i].split("=")[0]]=unescape(strs[i].split("=")[1]); 
		} 
	} 
	return theRequest; 
}

/* 封装ajax函数
 * @param {string}opt.type http连接的方式，包括POST和GET两种方式
 * @param {string}opt.url 发送请求的url
 * @param {boolean}opt.async 是否为异步请求，true为异步的，false为同步的
 * @param {object}opt.data 发送的参数，格式为对象类型
 * @param {function}opt.success ajax发送并接收成功调用的回调函数
 * @author xiaoFeng 2016-11-24
 */
function ajax(opt) {
    opt = opt || {};
    opt.method = opt.method.toUpperCase() || 'POST';
    opt.url = opt.url || '';
    opt.async = opt.async || true;
    opt.data = opt.data || null;
    opt.success = opt.success || function () {};
    opt.error = opt.error || function () {};
    var xmlHttp = null;
    if (XMLHttpRequest) {
        xmlHttp = new XMLHttpRequest();
    }
    else {
        xmlHttp = new ActiveXObject('Microsoft.XMLHTTP');
    }var params = [];
    for (var key in opt.data){
        params.push(key + '=' + opt.data[key]);
    }
    var postData = params.join('&');
    if (opt.method.toUpperCase() === 'POST') {
        xmlHttp.open(opt.method, opt.url, opt.async);
        xmlHttp.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded;charset=utf-8');
        xmlHttp.send(postData);
    }
    else if (opt.method.toUpperCase() === 'GET') {
        xmlHttp.open(opt.method, opt.url + '?' + postData, opt.async);
        xmlHttp.send(null);
    } 
    xmlHttp.onreadystatechange = function () {
        if (xmlHttp.readyState == 4 && xmlHttp.status == 200) {
            opt.success(xmlHttp.responseText);
        }
        if (xmlHttp.readyState == 4 && xmlHttp.status != 200) {
            opt.error("请求出错:"+ xmlHttp.statusText);
        }
    };
}
//ajax接口
//var urls = 'http://192.168.11.69:8088/api.php?';
var urls = 'http://sdk.firedg.com/api.php';
//runAjax方法
function runAjax(obj, successFuntion, errorFuntion){
	ajax({
	    method: 'POST',
	    url: urls,
	    data:obj,
	    success: function (response) {
	    	var data = JSON.parse(response);
	    	if(data.errorCode != 0){
//	    		alert('网络错误!错误码:'+data.errorCode);
	    		errorFuntion(data);
	    	}else{
		       	if(successFuntion != undefined){
		       		successFuntion(data);
		       	}
	    	}
	    },
	    error:function(error){
	    	var error = {"errorCode":10000, "data":{"msg":"网络请求失败！"}};
	    	errorFuntion(error);
	    }
	});
}

