
function dataFromJava(obj){
	var g = JSON.parse(obj);
	runAjax(g, paySuccess, payFail);
}

function paySuccess(params) {
	var userName = params.data.userName;
	var mobile = params.data.mobile;
	var sessionId = params.data.sessionId;
	var uid = params.data.id;

	var jsonParame = {"uid":uid,"userName":userName,"mobile":mobile,"sessionId":sessionId};
	var jsonStr = JSON.stringify(jsonParame);
	H5API.jfResult(jsonStr);
}

function payFail(params) {
	H5API.errorToast("支付出错");
}

function payRequest(payway) {
	//判断系统
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
	var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);

	if (isAndroid) {
		var jsonParame = {"payWay":payway};
		var jsonStr = JSON.stringify(jsonParame);
		js2java.pay(jsonStr);
	} else if (isiOS) {
		var jsonParame = {"func":"pay", "payWay":payway};
		window.webkit.messageHandlers.js2oc.postMessage(jsonParame);
	}
}

window.onload = function(){

    //判断系统
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
	var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
    
	var btn_close = document.getElementById('btn_close');
    btn_close.onclick = function(){
        if (isAndroid) {
            js2java.close();
        } else if (isiOS) {
            var jsonParame = {"func":"close"};
            window.webkit.messageHandlers.js2oc.postMessage(jsonParame);
        }
    };
	
	//支付方式跳转
	var aipay = document.getElementById('aipay');
	var wXpay = document.getElementById('wXpay');
	var unionpay = document.getElementById('unionpay');
	
    //支付接口
    aipay.onclick = function(){
        payRequest("1");
    };
    wXpay.onclick = function(){
        payRequest("2");
    };
    unionpay.onclick = function(){
        payRequest("3");
    };
}
